%define upstream_name    Log-Report
%define upstream_version 1.36

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Error message dispatcher with translation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::GlobalDestruction) >= 0.90.0
BuildRequires: perl(Encode) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Log::Report::Optional) >= 1.70.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::Print) >= 0.910.0
BuildRequires: perl(Sys::Syslog) >= 0.270.0
BuildRequires: perl(Test::More) >= 0.860.0
BuildArch:  noarch

%description
Handling messages to users can be a hassle, certainly when the same module
is used for command-line and in a graphical interfaces, and has to cope
with internationalization at the same time; this set of modules tries to
simplify this. Log::Report combines 'gettext' features with
Log::Dispatch-like features. However, you can also use this module to do
only translations or only message dispatching.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Oct 28 2023 tv <tv> 1.360.0-1.mga10
+ Revision: 2002455
- update to 1.36

* Thu Sep 22 2022 tv <tv> 1.340.0-1.mga9
+ Revision: 1891476
- update to 1.34

* Mon Mar 21 2022 umeabot <umeabot> 1.330.0-2.mga9
+ Revision: 1814789
- Mageia 9 Mass Rebuild

* Tue Jul 20 2021 tv <tv> 1.330.0-1.mga9
+ Revision: 1737108
- update to 1.33

* Thu Feb 25 2021 tv <tv> 1.320.0-1.mga9
+ Revision: 1691354
- update to 1.32

* Mon Feb 17 2020 umeabot <umeabot> 1.290.0-2.mga8
+ Revision: 1537803
- Mageia 8 Mass Rebuild

* Mon Nov 11 2019 tv <tv> 1.290.0-1.mga8
+ Revision: 1459214
- update to 1.29

* Sat Jun 29 2019 shlomif <shlomif> 1.280.0-1.mga8
+ Revision: 1415599
- update to 1.28

* Thu Sep 20 2018 umeabot <umeabot> 1.270.0-2.mga7
+ Revision: 1284521
- Mageia 7 Mass Rebuild

* Sat Jun 02 2018 shlomif <shlomif> 1.270.0-1.mga7
+ Revision: 1233670
- update to 1.27

* Sun Jan 28 2018 shlomif <shlomif> 1.260.0-1.mga7
+ Revision: 1197639
- update to 1.26

* Sun Dec 10 2017 shlomif <shlomif> 1.250.0-1.mga7
+ Revision: 1182050
- update to 1.25

* Tue Oct 24 2017 shlomif <shlomif> 1.220.0-1.mga7
+ Revision: 1173401
- update to 1.22

* Tue Oct 03 2017 tv <tv> 1.210.0-2.mga7
+ Revision: 1165276
- rebuild with fixed rpm for missing autodeps

* Tue Sep 26 2017 guillomovitch <guillomovitch> 1.210.0-1.mga7
+ Revision: 1159884
- new version 1.21

* Sun May 29 2016 shlomif <shlomif> 1.160.0-1.mga6
+ Revision: 1019277
- update to 1.16

* Thu Apr 28 2016 shlomif <shlomif> 1.150.0-1.mga6
+ Revision: 1007251
- update to 1.15

* Thu Apr 14 2016 shlomif <shlomif> 1.140.0-1.mga6
+ Revision: 1001380
- update to 1.14

* Wed Feb 10 2016 shlomif <shlomif> 1.130.0-1.mga6
+ Revision: 953227
- New version

* Thu Dec 17 2015 shlomif <shlomif> 1.100.0-1.mga6
+ Revision: 911330
- New version 1.10

* Sat Oct 24 2015 shlomif <shlomif> 1.90.0-1.mga6
+ Revision: 895014
- New version 1.09

* Wed Oct 14 2015 sander85 <sander85> 1.80.0-1.mga6
+ Revision: 891389
- update to 1.08

* Thu Jul 23 2015 sander85 <sander85> 1.70.0-1.mga6
+ Revision: 856479
- update to 1.07

* Thu Jun 25 2015 shlomif <shlomif> 1.60.0-1.mga6
+ Revision: 843259
- update to 1.06

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-3.mga5
+ Revision: 738838
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-2.mga5
+ Revision: 685272
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 1.50.0-1.mga5
+ Revision: 640002
- update to 1.05

* Wed Jun 04 2014 sander85 <sander85> 1.40.0-1.mga5
+ Revision: 633087
- update to 1.04

* Thu May 22 2014 sander85 <sander85> 1.30.0-1.mga5
+ Revision: 624985
- update to 1.03

* Fri Mar 14 2014 jquelin <jquelin> 1.20.0-1.mga5
+ Revision: 603726
- update to 1.02

* Wed Feb 05 2014 shlomif <shlomif> 1.10.0-1.mga5
+ Revision: 583304
- New version 1.01

* Mon Oct 21 2013 umeabot <umeabot> 0.997.0-2.mga4
+ Revision: 537888
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.997.0-1.mga4
+ Revision: 488023
- update to 0.997

* Sun Sep 08 2013 sander85 <sander85> 0.996.0-1.mga4
+ Revision: 476119
- update to 0.996

* Thu Aug 29 2013 sander85 <sander85> 0.995.0-1.mga4
+ Revision: 473096
- update to 0.995

* Thu Aug 22 2013 sander85 <sander85> 0.994.0-1.mga4
+ Revision: 469756
- update to 0.994

* Tue Jun 04 2013 shlomif <shlomif> 0.993.0-1.mga4
+ Revision: 437215
- update to 0.993

* Sun Jan 13 2013 umeabot <umeabot> 0.992.0-2.mga3
+ Revision: 369228
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 shlomif <shlomif> 0.992.0-1.mga3
+ Revision: 338086
- update to 0.992

* Thu Dec 13 2012 shlomif <shlomif> 0.991.0-1.mga3
+ Revision: 330227
- update to 0.991

* Wed Oct 03 2012 jquelin <jquelin> 0.990.0-1.mga3
+ Revision: 302421
- update to 0.99

* Fri Sep 07 2012 shlomif <shlomif> 0.980.0-1.mga3
+ Revision: 289225
- update to 0.98

* Mon Aug 06 2012 shlomif <shlomif> 0.940.0-1.mga3
+ Revision: 279239
- imported package perl-Log-Report

